<template>
  <v-form>
    <v-container fluid>
      <v-row>
      <div>
        <v-col cols="12" sm="12" md="12">
          <v-text-field  
            v-model="title" 
            label="Titre du commentaire"
            type="text"
            placeholder="Titre du commentaire"
            id="title"
            :error-messages="titleErrors"
            />
        </v-col>

        <v-col cols="12" sm="12" md="12">
          <v-text-field  
            v-model="notation" 
            label="Note du produit"
            type="number"
            min="0"
            max="5"
            step="0.1"
            placeholder="Note / 5"
            id="notation"
            :error-messages="notationErrors"
            />
        </v-col>
        
      </div>
        <v-col cols="12" sm="6" md="6">
          <v-textarea
            v-model="content" 
            outlined
            name="input-7-4"
            id="content"
            label="Contenu du commentaire"
            placeholder="Contenu du commentaire"
          ></v-textarea>
        </v-col>
        
        <v-btn class="ml-3" color="secondary" light type="submit" @click="addComment">
          Ajouter
        </v-btn>
      </v-row>
      
    </v-container>
  </v-form>
</template>

<script>
import { validationMixin } from 'vuelidate';
import { required } from 'vuelidate/lib/validators';

export default {
  name: 'CommentForm',
  mixins: [validationMixin],
  validations: {
    title: {required},
    notation: {required},
	},
  data() {
    return {
      content: '',
      title: '',
      notation: 0,
    };
  },
  computed: {
    titleErrors () {
			const errors = []
			if (!this.$v.title.$dirty) return errors
			!this.$v.title.required && errors.push('Titre requis')
			return errors
		},

    notationErrors () {
			const errors = []
			if (!this.$v.title.$dirty) return errors
			!this.$v.title.required && errors.push('Titre requis')
			return errors
		},
  },
  methods: {

    addComment: function (event) {
      event.preventDefault();
      this.$v.$touch();
      if (this.$v.$invalid) {
        return false;
      }
      let comment = {
        title: this.title,
        content: this.content,
        notation: parseFloat(this.notation)
      }
      this.$emit('addComment', comment);

    }
  },
};
</script>
